Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jdo
Class JDODataStoreException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--javax.jdo.JDOException
                              |
                              +--javax.jdo.JDOCanRetryException
                                    |
                                    +--javax.jdo.JDODataStoreException

All Implemented Interfaces:
  java.io.Serializable

public class JDODataStoreException
extends JDOCanRetryException

This class represents data store exceptions that can be retried.

Version:
  0.9
Author:
  Craig Russell
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.jdo.JDOException
`failed, nested`

Fields inherited from class java.lang.RuntimeException
``

Constructor Summary
`JDODataStoreException()` Constructs a new `JDODataStoreException` without a detail message.
`JDODataStoreException(java.lang.String msg)` Constructs a new `JDODataStoreException` with the specified detail message.
`JDODataStoreException(java.lang.String msg, java.lang.Object failed)` Constructs a new `JDODataStoreException` with the specified detail message and failed object.
`JDODataStoreException(java.lang.String msg, java.lang.Throwable nested)` Constructs a new `JDODataStoreException` with the specified detail message and nested `Throwable`s.
`JDODataStoreException(java.lang.String msg, java.lang.Throwable[] nested)` Constructs a new `JDODataStoreException` with the specified detail message and nested `Throwable`s.
`JDODataStoreException(java.lang.String msg, java.lang.Throwable[] nested, java.lang.Object failed)` Constructs a new `JDODataStoreException` with the specified detail message, nested `Throwable`s, and failed object.
`JDODataStoreException(java.lang.String msg, java.lang.Throwable nested, java.lang.Object failed)` Constructs a new `JDODataStoreException` with the specified detail message, nested `Throwable`s, and failed object.

Methods inherited from class javax.jdo.JDOException
`getFailedObject, getNestedExceptions, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JDODataStoreException

    public JDODataStoreException()

  Constructs a new `JDODataStoreException` without a detail message.

### JDODataStoreException

    public JDODataStoreException(java.lang.String msg)

  Constructs a new `JDODataStoreException` with the specified detail message.

Parameters:
  `msg` - the detail message.

### JDODataStoreException

    public JDODataStoreException(java.lang.String msg,
                                 java.lang.Throwable[] nested)

  Constructs a new `JDODataStoreException` with the specified detail message and nested `Throwable`s.

Parameters:
  `msg` - the detail message.
  `nested` - the nested `Throwable[]`.

### JDODataStoreException

    public JDODataStoreException(java.lang.String msg,
                                 java.lang.Throwable nested)

  Constructs a new `JDODataStoreException` with the specified detail message and nested `Throwable`s.

Parameters:
  `msg` - the detail message.
  `nested` - the nested `Throwable`.

### JDODataStoreException

    public JDODataStoreException(java.lang.String msg,
                                 java.lang.Object failed)

  Constructs a new `JDODataStoreException` with the specified detail message and failed object.

Parameters:
  `msg` - the detail message.
  `failed` - the failed object.

### JDODataStoreException

    public JDODataStoreException(java.lang.String msg,
                                 java.lang.Throwable[] nested,
                                 java.lang.Object failed)

  Constructs a new `JDODataStoreException` with the specified detail message, nested `Throwable`s, and failed object.

Parameters:
  `msg` - the detail message.
  `nested` - the nested `Throwable[]`.
  `failed` - the failed object.

### JDODataStoreException

    public JDODataStoreException(java.lang.String msg,
                                 java.lang.Throwable nested,
                                 java.lang.Object failed)

  Constructs a new `JDODataStoreException` with the specified detail message, nested `Throwable`s, and failed object.

Parameters:
  `msg` - the detail message.
  `nested` - the nested `Throwable`.
  `failed` - the failed object.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD